> ## Documentation Index
> Fetch the complete documentation index at: https://artie.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch tables for an unsaved connector

> Lists available tables in a specific database and schema using an unsaved connector configuration. Results are cached when a connector UUID is provided.



## OpenAPI

````yaml https://raw.githubusercontent.com/artie-labs/artie-api-spec/refs/heads/master/openapi.yaml post /connectors/tables
openapi: 3.1.0
info:
  description: External API endpoints for Artie
  title: Artie API
  version: v1.0.46
servers:
  - url: https://api.artie.com
security:
  - ApiKey: []
paths:
  /connectors/tables:
    post:
      tags:
        - Connectors
      summary: Fetch tables for an unsaved connector
      description: >-
        Lists available tables in a specific database and schema using an
        unsaved connector configuration. Results are cached when a connector
        UUID is provided.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RouterConnectorFetchTablesRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListResponseBodyConnectorTable'
          description: OK
        '400':
          description: Bad Request
        '500':
          description: Internal Server Error
components:
  schemas:
    RouterConnectorFetchTablesRequest:
      properties:
        connector:
          $ref: '#/components/schemas/PayloadsConnectorPayload'
        databaseName:
          type: string
        forceRefresh:
          type: boolean
        schemaName:
          type: string
      required:
        - connector
        - databaseName
      type: object
    ListResponseBodyConnectorTable:
      properties:
        items:
          items:
            $ref: '#/components/schemas/RouterConnectorTable'
          type: array
      required:
        - items
      type: object
    PayloadsConnectorPayload:
      properties:
        dataPlaneName:
          type: string
        defaultDatabase:
          type:
            - 'null'
            - string
        environmentUUID:
          format: uuid
          type:
            - 'null'
            - string
        label:
          type: string
        privateLinkUUID:
          format: uuid
          type:
            - 'null'
            - string
        sharedConfig:
          additionalProperties: {}
          type:
            - object
            - 'null'
        snapshotPrivateLinkUUID:
          format: uuid
          type:
            - 'null'
            - string
        sshTunnelUUID:
          format: uuid
          type:
            - 'null'
            - string
        type:
          type: string
        uuid:
          type: string
      type: object
    RouterConnectorTable:
      properties:
        approxDateAdded:
          format: date-time
          type:
            - 'null'
            - string
        columns:
          items:
            $ref: '#/components/schemas/PayloadsConnectorColumn'
          type: array
        createdAt:
          format: date-time
          type:
            - 'null'
            - string
        isView:
          type: boolean
        metadata:
          items:
            $ref: '#/components/schemas/PayloadsCatalogTableProperty'
          type: array
        modifiedAt:
          format: date-time
          type:
            - 'null'
            - string
        name:
          type: string
        schema:
          type: string
        unreadable:
          type: boolean
      type: object
    PayloadsConnectorColumn:
      properties:
        metadata:
          $ref: '#/components/schemas/PayloadsConnectorColumnMetadata'
        name:
          type: string
      type: object
    PayloadsCatalogTableProperty:
      properties:
        isDate:
          type: boolean
        key:
          type: string
        value: {}
      type: object
    PayloadsConnectorColumnMetadata:
      properties:
        comment:
          type: string
        dataType:
          type: string
        defaultValue:
          type:
            - 'null'
            - string
        isPrimaryKey:
          type:
            - 'null'
            - boolean
        notNull:
          type: boolean
      type: object
  securitySchemes:
    ApiKey:
      description: API key passed as a Bearer token in the Authorization header.
      scheme: bearer
      type: http

````